> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supahub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Single Board

> Retrieve details of a specific board.

To retrieve details for a single board using the Supahub API, you can follow the provided examples for several programming environments and tools.

To construct your request, you must replace API\_KEY with your actual API key and `:boardId` with the ID of the board you wish to retrieve.

<ParamField body="GET" type="method" />

<ParamField body="/boards/:boardId" type="path" />

### Path Parameters

<ParamField body="boardId" type="string" required>
  Identifier of the board you are requesting information for.
</ParamField>

<RequestExample>
  ```javascript curl theme={null}
  // Replace API_KEY with your api key and :boardId with board id
  curl --location 'https://api.supahub.com/api/v1/boards/:boardId' \
  --header 'Authorization: Bearer API_KEY'
  ```

  ```javascript fetch theme={null}
  const myHeaders = new Headers();
  myHeaders.append("Authorization", "Bearer API_KEY"); // Replace API_KEY with your api key

  const requestOptions = {
    method: "GET",
    headers: myHeaders,
    redirect: "follow",
  };

  fetch("https://api.supahub.com/api/v1/boards/:boardId", requestOptions) // Replace :boardId
    .then((response) => response.text())
    .then((result) => console.log(result))
    .catch((error) => console.error(error));
  ```

  ```javascript axios theme={null}
  const axios = require("axios");

  let config = {
    method: "get",
    maxBodyLength: Infinity,
    url: "https://api.supahub.com/api/v1/boards/:boardId", // Replace :boardId
    headers: {
      Authorization: "Bearer API_KEY", // Replace API_KEY with your api key
    },
  };

  async function makeRequest() {
    try {
      const response = await axios.request(config);
      console.log(JSON.stringify(response.data));
    } catch (error) {
      console.log(error);
    }
  }

  makeRequest();
  ```

  ```python python theme={null}
  import requests

  url = "https://api.supahub.com/api/v1/boards/:boardId" # Replace :boardId

  headers = {
    'Authorization': 'Bearer API_KEY' # Replace API_KEY with your key.
  }

  response = requests.request("GET", url, headers=headers)

  print(response.text)
  ```
</RequestExample>
